org.apache.cassandra.db.compaction

## Interface ICompactionScanner

All Superinterfaces:
  java.lang.AutoCloseable, java.io.Closeable, CloseableIterator<OnDiskAtomIterator>, java.util.Iterator<OnDiskAtomIterator>

All Known Implementing Classes:
  SSTableReader.EmptyCompactionScanner, SSTableScanner

    public interface ICompactionScanner
    extends CloseableIterator<OnDiskAtomIterator>

An ICompactionScanner is an abstraction allowing multiple SSTableScanners to be chained together under the hood. See LeveledCompactionStrategy.getScanners.

### Method Summary

Methods
`java.lang.String` `getBackingFiles()`
`long` `getCurrentPosition()`
`long` `getLengthInBytes()`

### Methods inherited from interface java.util.Iterator

`hasNext, next, remove`

### Methods inherited from interface java.io.Closeable

`close`

### Method Detail

#### getLengthInBytes

    long getLengthInBytes()

#### getCurrentPosition

    long getCurrentPosition()

#### getBackingFiles

    java.lang.String getBackingFiles()